### Class

# SpiceClientGLib FileTransferTask

#### Description

    final class SpiceClientGLib.FileTransferTask : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Instance methods

###### spice_file_transfer_task_cancel

No description available.

###### spice_file_transfer_task_get_filename

No description available.

###### spice_file_transfer_task_get_progress

No description available.

###### spice_file_transfer_task_get_total_bytes

No description available.

###### spice_file_transfer_task_get_transferred_bytes

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### SpiceClientGLib.FileTransferTask:cancellable

No description available.

###### SpiceClientGLib.FileTransferTask:channel

No description available.

###### SpiceClientGLib.FileTransferTask:file

No description available.

###### SpiceClientGLib.FileTransferTask:id

No description available.

###### SpiceClientGLib.FileTransferTask:progress

No description available.

###### SpiceClientGLib.FileTransferTask:total-bytes

No description available.

###### SpiceClientGLib.FileTransferTask:transferred-bytes

No description available.

#### Signals

###### SpiceClientGLib.FileTransferTask::finished

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct SpiceClientGLibFileTransferTaskClass {
      /* no available fields */
    }

No description available.